KS-Soft. Network Management Solutions
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister    ProfileProfile    Log inLog in 

cannot open shared libraries: libstdc++.so.6:

 
Post new topic   Reply to topic    KS-Soft Forum Index -> RMA for UNIX
View previous topic :: View next topic  
Author Message
JuergenF



Joined: 26 Jan 2003
Posts: 330
Location: Germany, North Rhine-Westphalia

PostPosted: Fri May 01, 2009 2:24 am    Post subject: cannot open shared libraries: libstdc++.so.6: Reply with quote

Hi all,

after upgrading to HM 8.01 Beta my TextLog tests on a Linux system running RMA 1.25 fail with "RMA: Wrong command"
That means I have the following:
HM 8.01 Beta on Windows Server 2003 SP2
RMA for Linux 1.25 running on a Linux and should do a TextLog test on that system
This produces the error "RMA: Wrong command"

I have to say that I have very limited Linux knowledge.
So I tried to upgrade RMA to 1.26 (32 Bit)

When I try to start the rma manually or with YAST I get.
./rma: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory

I searched the forum and found some infos, but that didn't solve my problem, because it's not detailed enough for me.
I find /usr/lib/libstdc++.so.5.0.6 and a link libstdc++.so.5 pointing to that. But nothing for .so.6

I was pointed to install libstdc++ , but I don't know how to get that downloaded installed and running on my Linux box.

uname -a
Linux wersv090 2.6.5-7.97-smp #1 SMP Fri Jul 2 14:21:59 UTC 2004 i686 i686 i386 GNU/Linux

Many thanks for any help

Juergen
Back to top
View user's profile Send private message
KS-Soft Europe



Joined: 16 May 2006
Posts: 2832

PostPosted: Fri May 01, 2009 2:59 am    Post subject: Reply with quote

I think, you may create a link libstdc++.so.5 -> libstdc++.so.6
Code:
ln -s /usr/lib/libstdc++.so.5 /usr/lib/libstdc++.so.6

It should work. If not, we can send you the source codes and you will be able to compile agent on your system directly.

Regards,
Max
Back to top
View user's profile Send private message Send e-mail Visit poster's website
JuergenF



Joined: 26 Jan 2003
Posts: 330
Location: Germany, North Rhine-Westphalia

PostPosted: Fri May 01, 2009 3:23 am    Post subject: Reply with quote

Hi Max,

thanks for your quick response

Now I get
./rma: /usr/lib/libstdc++.so.6: version `CXXABI_1.3' not found (required by ./rma)

I'll be offline for the next hours.

Best regards

Juergen
Back to top
View user's profile Send private message
KS-Soft Europe



Joined: 16 May 2006
Posts: 2832

PostPosted: Fri May 01, 2009 3:33 am    Post subject: Reply with quote

Ok, in this case agent should be recompiled on your system.
Please, send request to support@ks-soft.net and provide your Registration name.

Regards,
Max
Back to top
View user's profile Send private message Send e-mail Visit poster's website
JuergenF



Joined: 26 Jan 2003
Posts: 330
Location: Germany, North Rhine-Westphalia

PostPosted: Sat May 02, 2009 6:36 am    Post subject: Reply with quote

I've got the sources now, but still have problems.
So my 3 questions are.

1) I used rma 1.25 on several Suse Systems without any problems. Why does 1.26 not work anymore ?

Beside that I found that I use:
cat /etc/*elease*
SUSE LINUX Enterprise Server 9 (i586)
VERSION = 9

So I installed the following packages to get the library or a compiler to work
cpp-3.3.3-43.31.i586.rpm
gcc-3.3.3-43.31.i586.rpm
gcc-c++-3.3.3-43.31.i586.rpm
libstdc++-3.3.3-43.31.i586.rpm
libstdc++-devel-3.3.3-43.31.i586.rpm
make-3.80-184.i586.rpm

2) When I nativly try to run rma I get:
wersv090:/usr/sbin/rma.126 # ./rma rma.ini
./rma: /usr/lib/libstdc++.so.6: no version information available (required by ./rma)
Floating point exception

3) When I try to compile the sources, I get:
wersv090:/usr/sbin/rma # make
g++ -c -o globals.o globals.cpp -I. -O0 -D_FILE_OFFSET_BITS=64
In file included from globals.cpp:18:
/usr/include/pthread.h:163: error: syntax error before `__thread'
/usr/include/pthread.h:165: error: `pthread_create' declared as function
returning a function
/usr/include/pthread.h:166: error: syntax error before `void'
/usr/include/pthread.h:586: error: storage class specifiers invalid in
parameter declarations
/usr/include/pthread.h:586: error: storage class specified for parameter `
parameter'
In file included from /usr/include/pthread.h:650,
from globals.cpp:18:
/usr/include/bits/sigthread.h:36: error: storage class specifiers invalid in
parameter declarations
/usr/include/bits/sigthread.h:36: error: storage class specified for parameter
`parameter'
make: *** [globals.o] Error 1

I'm very sorry for creating so much trouble, but I'm not the Linux expert.

So any help is appriciated.

Juergen
Back to top
View user's profile Send private message
KS-Soft Europe



Joined: 16 May 2006
Posts: 2832

PostPosted: Sat May 02, 2009 12:47 pm    Post subject: Reply with quote

Ok, we will compile RMA 1.26 on older Linux version with libstdc++.so.5
Hope, it will work fine on your system.

Regards,
Max
Back to top
View user's profile Send private message Send e-mail Visit poster's website
JuergenF



Joined: 26 Jan 2003
Posts: 330
Location: Germany, North Rhine-Westphalia

PostPosted: Mon May 04, 2009 12:02 am    Post subject: Reply with quote

Hi Max,

that would be great.

Where can I get that from ?

Many thank

Juergen
Back to top
View user's profile Send private message
KS-Soft Europe



Joined: 16 May 2006
Posts: 2832

PostPosted: Mon May 04, 2009 2:51 am    Post subject: Reply with quote

JuergenF wrote:
Where can I get that from ?
I've just sent binary module to your email address.
Please, check your mail.

Regards,
Max
Back to top
View user's profile Send private message Send e-mail Visit poster's website
JuergenF



Joined: 26 Jan 2003
Posts: 330
Location: Germany, North Rhine-Westphalia

PostPosted: Mon May 04, 2009 4:31 am    Post subject: Reply with quote

Hi Max,

thank you very much.
It works fine now.

I'll do some more test with the SSH Test method later.

Many thanks again

Juergen
Back to top
View user's profile Send private message
KS-Soft Europe



Joined: 16 May 2006
Posts: 2832

PostPosted: Mon May 04, 2009 7:10 am    Post subject: Reply with quote

JuergenF wrote:
thank you very much.
It works fine now.
You are welcome!


JuergenF wrote:
I'll do some more test with the SSH Test method later.
Please, let us know how it works. We appreciate your feedback.

Regards,
Max
Back to top
View user's profile Send private message Send e-mail Visit poster's website
ybydjjz



Joined: 28 May 2009
Posts: 7

PostPosted: Tue Dec 08, 2009 12:05 am    Post subject: Reply with quote

Hello,I have get the same problem...
My OS is Red Hat Enterprise Linux ES release 3 (Taroon Update 9)[64bit]
I download RMA 1.28 for Linux (x86-64).
After I configure rma.ini,
[code]
#./rma -d ./rma.ini
./rma: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
# ln -s /usr/lib/libstdc++.so.5 /usr/lib/libstdc++.so.6
# ./rma -d ./rma.ini
./rma: error while loading shared libraries: libstdc++.so.6: cannot open shared object file: No such file or directory
[/code]
Where to download older rma unix version.Or KS-Soft can help me.
Thanks a lot!
Back to top
View user's profile Send private message
KS-Soft



Joined: 03 Apr 2002
Posts: 11927
Location: USA

PostPosted: Tue Dec 08, 2009 4:11 pm    Post subject: Reply with quote

Quote:
Where to download older rma unix version.

Older RMA was designed to work with older HostMonitor, it may not work correctly with latest version of HostMonitor.
What version of HostMonitor do you use?

Another question is - do you have libstdc++ library installed (just older version) or you do not have this library at all?
If you do not have it, you should install it.
If you have older version then you may update libraries or try another version of the agent that should work with version 5 of libstdc++
http://www.hostmonitor.biz/download/rma/rma128_sles9_x86.tgz

Regards
Alex
Back to top
View user's profile Send private message Visit poster's website
ybydjjz



Joined: 28 May 2009
Posts: 7

PostPosted: Tue Dec 08, 2009 9:18 pm    Post subject: Reply with quote

I have installed libstdc++ 5 and HostMonitor 6.80.
After use
http://www.hostmonitor.biz/download/rma/rma128_sles9_x86.tgz
I get little confuse why rhel3update9 to use sles9 agent.
Anyway it works fine !
Thank you very much,alex.

Regards
ybydjjz
Back to top
View user's profile Send private message
KS-Soft



Joined: 03 Apr 2002
Posts: 11927
Location: USA

PostPosted: Wed Dec 09, 2009 1:14 pm    Post subject: Reply with quote

Quote:
I get little confuse why rhel3update9 to use sles9 agent.

Its the same OS (Linux), the same version of libraries...

Quote:
Anyway it works fine !
Thank you very much,alex

You are welcome

Regards
Alex
Back to top
View user's profile Send private message Visit poster's website
Display posts from previous:   
Post new topic   Reply to topic    KS-Soft Forum Index -> RMA for UNIX All times are GMT - 6 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum


Powered by phpBB © 2001, 2005 phpBB Group

KS-Soft Forum Index